Subject: Re: bug#7952: 24.0.50; crash in find_interval

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2011 16:24:36 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Romain Francoise <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 30 Apr 2011 10:16:44 -0300
> 
> As can be seen by a comment in grep.el, I consider grep's updating of
> the buffer as a problem.  Also, we've seen other reasons why grep's
> handling of escape sequences should be performed in the process filter
> rather than in font-lock.  So I'd rather say that grep's use of
> font-lock is wrong, rather than change jit-lock to accommodate it.

So you are saying that, as a matter of policy, font-lock should never
modify the text of its buffer, is that right?